Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 465097 - FTBFS rasqal-0.9.15-1.fc9
Summary: FTBFS rasqal-0.9.15-1.fc9
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rasqal
Version: 10
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Depends On:
Blocks: F10FTBFS
TreeView+ depends on / blocked
 
Reported: 2008-10-01 16:41 UTC by FTBFS
Modified: 2009-01-17 18:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-17 18:24:28 UTC


Attachments (Terms of Use)
root.log (deleted)
2008-10-01 16:41 UTC, FTBFS
no flags Details
build.log (deleted)
2008-10-01 16:41 UTC, FTBFS
no flags Details
mock.log (deleted)
2008-10-01 16:41 UTC, FTBFS
no flags Details
root.log (deleted)
2008-10-01 16:41 UTC, FTBFS
no flags Details
build.log (deleted)
2008-10-01 16:41 UTC, FTBFS
no flags Details
mock.log (deleted)
2008-10-01 16:41 UTC, FTBFS
no flags Details

Description FTBFS 2008-10-01 16:41:06 UTC
rasqal-0.9.15-1.fc9.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.

Comment 1 FTBFS 2008-10-01 16:41:09 UTC
Created attachment 319011 [details]
root.log

root.log for i386

Comment 2 FTBFS 2008-10-01 16:41:10 UTC
Created attachment 319012 [details]
build.log

build.log for i386

Comment 3 FTBFS 2008-10-01 16:41:11 UTC
Created attachment 319013 [details]
mock.log

mock.log for i386

Comment 4 FTBFS 2008-10-01 16:41:12 UTC
Created attachment 319014 [details]
root.log

root.log for x86_64

Comment 5 FTBFS 2008-10-01 16:41:13 UTC
Created attachment 319015 [details]
build.log

build.log for x86_64

Comment 6 FTBFS 2008-10-01 16:41:14 UTC
Created attachment 319016 [details]
mock.log

mock.log for x86_64

Comment 7 Kevin Kofler 2008-10-01 19:16:41 UTC
Testsuite failure:

check-sparql: 'datatype-1' FAILED (_:genid12) 
Failing program was:
  roqet -d debug -i sparql -D file:///builddir/build/BUILD/rasqal-0.9.15/tests/sparql/ExprBuiltins/data-builtin-1.ttl /builddir/build/BUILD/rasqal-0.9.15/tests/sparql/ExprBuiltins/q-datatype-1.rq 2>roqet.err > roqet.tmp
  OR roqet -d debug -i sparql -D data-builtin-1.ttl q-datatype-1.rq 2>roqet.err > roqet.tmp
Difference is:
*** result.out	2008-09-29 15:05:56.000000000 -0400
--- roqet.out	2008-09-29 15:05:56.000000000 -0400
***************
*** 1,3 ****
- result: [x=uri<http://example.org/things#xd1>, v=string("1.0"^^<http://www.w3.org/2001/XMLSchema#double>)]
  result: [x=uri<http://example.org/things#xd2>, v=string("1.0"^^<http://www.w3.org/2001/XMLSchema#double>)]
  result: [x=uri<http://example.org/things#xd3>, v=string("1"^^<http://www.w3.org/2001/XMLSchema#double>)]
--- 1,2 ----
check-sparql: Expected 3 results, got 2
[snip]
check-sparql: 1 FAILED tests:
  datatype-1

Comment 8 Bug Zapper 2008-11-26 03:24:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Kevin Kofler 2009-01-17 18:24:28 UTC
I disabled the testsuite so the bloody thing builds.


Note You need to log in before you can comment on or make changes to this bug.